
Foreman - Bug #13169

Extra icon and bad layout of alert boxes on provisioning template form

01/13/2016 03:48 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A few issues with the alert boxes shown on the provisioning template edit form:

1) Two icons are shown on the alert box on the main Template tab linking to template functions/macros.  There's a Patternfly alert

icon and a small "i" icon.

2) Editing a snippet shows an alert type box on the Association tab, but the text inside has a lot of padding to the left and isn't

centred, with no icon.

3) Editing a regular provisioning template shows an alert box on the Association tab, but the text inside is indented to the right again,

with no icon.

Related issues:

Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014

Is duplicate of Foreman - Bug #13279: Adapt alerts to Patternfly Closed 01/19/2016

History

#1 - 01/13/2016 03:48 AM - Dominic Cleal

- Related to Feature #4629: Add Patternfly support in foreman added

#2 - 02/01/2016 07:05 AM - Tom Caspy

- Assignee set to Tom Caspy

#3 - 02/01/2016 07:10 AM - Tom Caspy

- File Screen Shot 2016-02-01 at 2.09.13 PM.png added

- File Screen Shot 2016-02-01 at 2.09.37 PM.png added

- File Screen Shot 2016-02-01 at 2.09.50 PM.png added

- Status changed from New to Need more information

Dominic - I just tested this on develop and things seem like they should...

could someone have fixed it and not updated the ticket?

#4 - 02/01/2016 08:21 AM - Dominic Cleal

- Is duplicate of Bug #13279: Adapt alerts to Patternfly  added

#5 - 02/01/2016 08:23 AM - Dominic Cleal

- Status changed from Need more information to Resolved

- Assignee deleted (Tom Caspy)

- translation missing: en.field_release deleted (71)

Appears to have been changed in #13279.
https://projects.theforeman.org/issues/13279
Screen Shot 2016-02-01 at 2.09.13 PM.png 17.3 KB 02/01/2016 Tom Caspy
